Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_Marshal_Object Class Reference

TAO_Marshal_Object. More...

`#include <Marshal.h>`

Inheritance diagram for TAO_Marshal_Object:

[legend]
List of all members.

## Public Member Functions
| TAO_Marshal_Object (void)
| constructor
virtual | ~TAO_Marshal_Object (void)
| destructor
virtual TAO::traverse_status | skip (CORBA::TypeCode_ptr tc, TAO_InputCDR *context ACE_ENV_ARG_DECL)=0
| skip operation
virtual TAO::traverse_status | append (CORBA::TypeCode_ptr tc, TAO_InputCDR *src, TAO_OutputCDR *dest ACE_ENV_ARG_DECL)=0
| append operation
## Static Public Member Functions
TAO::traverse_status | perform_skip (CORBA::TypeCode_ptr tc, TAO_InputCDR *context ACE_ENV_ARG_DECL)
TAO::traverse_status | perform_append (CORBA::TypeCode_ptr tc, TAO_InputCDR *src, TAO_OutputCDR *dest ACE_ENV_ARG_DECL)

## Detailed Description

TAO_Marshal_Object.

The Marshaling object that provides a common interface to the CDR object for marshaling different IDL data types Provides a set of virtual methods for appending and skipping data over a CDR stream.

## Constructor & Destructor Documentation

ACE_INLINE TAO_Marshal_Object::TAO_Marshal_Object | ( | void |  | ) |

| constructor

TAO_Marshal_Object::~TAO_Marshal_Object | ( | void |  | ) | `[virtual]`

| destructor

## Member Function Documentation

virtual TAO::traverse_status TAO_Marshal_Object::append | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR * | src,
|  | TAO_OutputCDR *dest | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| append operation Implemented in TAO_Marshal_Primitive, TAO_Marshal_Any, TAO_Marshal_TypeCode, TAO_Marshal_Principal, TAO_Marshal_ObjRef, TAO_Marshal_Struct, TAO_Marshal_Union, TAO_Marshal_String, TAO_Marshal_Sequence, TAO_Marshal_Array, TAO_Marshal_Alias, TAO_Marshal_Except, TAO_Marshal_WString, and TAO_Marshal_Value.

TAO::traverse_status TAO_Marshal_Object::perform_append | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR * | src,
|  | TAO_OutputCDR *dest | ACE_ENV_ARG_DECL
| ) | `[static]`

| append entry point, it allocates the right kind of Marshal_Object and invokes skip on it.

TAO::traverse_status TAO_Marshal_Object::perform_skip | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR *context | ACE_ENV_ARG_DECL
| ) | `[static]`

| skip entry point, it allocates the right kind of Marshal_Object and invokes skip on it.

virtual TAO::traverse_status TAO_Marshal_Object::skip | ( | CORBA::TypeCode_ptr | tc,
|  | TAO_InputCDR *context | ACE_ENV_ARG_DECL
| ) | `[pure virtual]`

| skip operation Implemented in TAO_Marshal_Primitive, TAO_Marshal_Any, TAO_Marshal_TypeCode, TAO_Marshal_Principal, TAO_Marshal_ObjRef, TAO_Marshal_Struct, TAO_Marshal_Union, TAO_Marshal_String, TAO_Marshal_Sequence, TAO_Marshal_Array, TAO_Marshal_Alias, TAO_Marshal_Except, TAO_Marshal_WString, and TAO_Marshal_Value.

The documentation for this class was generated from the following files:

- Marshal.h
- Marshal.cpp
- Marshal.i